Index: uspace/lib/drv/generic/remote_ieee80211.c
===================================================================
--- uspace/lib/drv/generic/remote_ieee80211.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
+++ uspace/lib/drv/generic/remote_ieee80211.c	(revision f1380b76772fb5d1aa03637b5e57bd9b929fea61)
@@ -66,7 +66,7 @@
 {
 	assert(results);
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
 	aid_t aid = async_send_2(exch, DEV_IFACE_ID(IEEE80211_DEV_IFACE),
 	    IEEE80211_GET_SCAN_RESULTS, now, NULL);
@@ -74,11 +74,11 @@
 	    sizeof(ieee80211_scan_results_t));
 	async_exchange_end(exch);
-	
+
 	errno_t res;
 	async_wait_for(aid, &res);
-	
+
 	if(res != EOK)
 		return (errno_t) res;
-	
+
 	return rc;
 }
@@ -90,5 +90,5 @@
 			return false;
 	}
-	
+
 	return true;
 }
@@ -99,18 +99,18 @@
 	inet_link_info_t link_info;
 	size_t count;
-	
+
 	errno_t rc = inetcfg_get_link_list(&link_list, &count);
 	if (rc != EOK)
 		return -1;
-	
+
 	for (size_t i = 0; i < count; i++) {
 		rc = inetcfg_link_get(link_list[i], &link_info);
 		if (rc != EOK)
 			return -1;
-		
+
 		if (mac_matches(mac, link_info.mac_addr))
 			return link_list[i];
 	}
-	
+
 	return -1;
 }
@@ -129,12 +129,12 @@
 {
 	assert(ssid_start);
-	
+
 	errno_t rc_orig;
-	
+
 	async_exch_t *exch = async_exchange_begin(dev_sess);
-	
+
 	aid_t aid = async_send_1(exch, DEV_IFACE_ID(IEEE80211_DEV_IFACE),
 	    IEEE80211_CONNECT, NULL);
-	
+
 	errno_t rc = async_data_write_start(exch, ssid_start,
 	    str_size(ssid_start) + 1);
@@ -142,32 +142,32 @@
 		async_exchange_end(exch);
 		async_wait_for(aid, &rc_orig);
-		
+
 		if (rc_orig == EOK)
 			return (errno_t) rc;
-		
+
 		return (errno_t) rc_orig;
 	}
-	
+
 	// FIXME: Typecasting string literal
 	if (password == NULL)
 		password = (char *) "";
-	
+
 	rc = async_data_write_start(exch, password, str_size(password) + 1);
 	if (rc != EOK) {
 		async_exchange_end(exch);
 		async_wait_for(aid, &rc_orig);
-		
+
 		if (rc_orig == EOK)
 			return (errno_t) rc;
-		
+
 		return (errno_t) rc_orig;
 	}
-	
+
 	async_exchange_end(exch);
-	
+
 	async_wait_for(aid, &rc);
 	if (rc != EOK)
 		return rc;
-	
+
 	/* Send DHCP discover. */
 	nic_address_t wifi_mac;
@@ -175,11 +175,11 @@
 	if (rc != EOK)
 		return rc;
-	
+
 	sysarg_t link_id = get_link_id(wifi_mac.address);
 	if (link_id == ((sysarg_t) -1))
 		return EINVAL;
-	
+
 	rc = dhcp_discover(link_id);
-	
+
 	return (errno_t) rc;
 }
@@ -199,13 +199,13 @@
 	    IEEE80211_DISCONNECT);
 	async_exchange_end(exch);
-	
-	if (rc != EOK)
-		return rc;
-	
+
+	if (rc != EOK)
+		return rc;
+
 	nic_address_t wifi_mac;
 	rc = nic_get_address(dev_sess, &wifi_mac);
 	if (rc != EOK)
 		return rc;
-	
+
 	inet_link_info_t link_info;
 	inet_addr_info_t addr_info;
@@ -214,19 +214,19 @@
 	sysarg_t *route_list;
 	size_t count;
-	
+
 	/* Remove previous DHCP address. */
 	rc = inetcfg_get_addr_list(&addr_list, &count);
 	if (rc != EOK)
 		return rc;
-	
+
 	for (size_t i = 0; i < count; i++) {
 		rc = inetcfg_addr_get(addr_list[i], &addr_info);
 		if (rc != EOK)
 			return rc;
-		
+
 		rc = inetcfg_link_get(addr_info.ilink, &link_info);
 		if (rc != EOK)
 			return rc;
-		
+
 		if (mac_matches(wifi_mac.address, link_info.mac_addr)) {
 			if (str_test_prefix(addr_info.name, "dhcp")) {
@@ -234,10 +234,10 @@
 				if (rc != EOK)
 					return rc;
-				
+
 				break;
 			}
 		}
 	}
-	
+
 	/*
 	 * TODO: At this moment there can be only one DHCP route,
@@ -249,19 +249,19 @@
 	if (rc != EOK)
 		return rc;
-	
+
 	for (size_t i = 0; i < count; i++) {
 		rc = inetcfg_sroute_get(route_list[i], &route_info);
 		if (rc != EOK)
 			return rc;
-		
+
 		if (str_test_prefix(route_info.name, "dhcp")) {
 			rc = inetcfg_sroute_delete(route_list[i]);
 			if (rc != EOK)
 				return rc;
-			
+
 			break;
 		}
 	}
-	
+
 	return rc;
 }
@@ -272,10 +272,10 @@
 	ieee80211_iface_t *ieee80211_iface = (ieee80211_iface_t *) iface;
 	assert(ieee80211_iface->get_scan_results);
-	
+
 	ieee80211_scan_results_t scan_results;
 	memset(&scan_results, 0, sizeof(ieee80211_scan_results_t));
-	
+
 	bool now = IPC_GET_ARG2(*call);
-	
+
 	errno_t rc = ieee80211_iface->get_scan_results(fun, &scan_results, now);
 	if (rc == EOK) {
@@ -287,5 +287,5 @@
 			return;
 		}
-		
+
 		if (max_len < sizeof(ieee80211_scan_results_t)) {
 			async_answer_0(data_callid, ELIMIT);
@@ -293,9 +293,9 @@
 			return;
 		}
-		
+
 		async_data_read_finalize(data_callid, &scan_results,
 		    sizeof(ieee80211_scan_results_t));
 	}
-	
+
 	async_answer_0(callid, rc);
 }
@@ -306,8 +306,8 @@
 	ieee80211_iface_t *ieee80211_iface = (ieee80211_iface_t *) iface;
 	assert(ieee80211_iface->connect);
-	
+
 	char ssid_start[MAX_STRING_SIZE];
 	char password[MAX_STRING_SIZE];
-	
+
 	ipc_callid_t data_callid;
 	size_t len;
@@ -317,5 +317,5 @@
 		return;
 	}
-	
+
 	if (len > MAX_STRING_SIZE) {
 		async_answer_0(data_callid, EINVAL);
@@ -323,5 +323,5 @@
 		return;
 	}
-	
+
 	errno_t rc = async_data_write_finalize(data_callid, ssid_start, len);
 	if (rc != EOK) {
@@ -330,5 +330,5 @@
 		return;
 	}
-	
+
 	if (!async_data_write_receive(&data_callid, &len)) {
 		async_answer_0(data_callid, EINVAL);
@@ -336,5 +336,5 @@
 		return;
 	}
-	
+
 	if (len > MAX_STRING_SIZE) {
 		async_answer_0(data_callid, EINVAL);
@@ -342,5 +342,5 @@
 		return;
 	}
-	
+
 	rc = async_data_write_finalize(data_callid, password, len);
 	if (rc != EOK) {
@@ -349,7 +349,7 @@
 		return;
 	}
-	
+
 	rc = ieee80211_iface->connect(fun, ssid_start, password);
-	
+
 	async_answer_0(callid, rc);
 }
